JavaScript/jQuery Accordion - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Accordion features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Accordion component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the Accordion component:

Key Action
↑ or PageUp Sets focus to the previous panel.
↓ or PageDown Sets focus to the next panel.
Home Sets focus to the first panel.
End Sets focus to the last panel.
Enter Expands the focused panel.
Space Collapses the focused panel.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const accordion = $("#accordionContainer").dxAccordion("instance");
  • accordion.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • accordion.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The Accordion component supports screen readers and complies to WAI-ARIA standards.

React Accordion - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Accordion features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Accordion component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the Accordion component:

Key Action
↑ or PageUp Sets focus to the previous panel.
↓ or PageDown Sets focus to the next panel.
Home Sets focus to the first panel.
End Sets focus to the last panel.
Enter Expands the focused panel.
Space Collapses the focused panel.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Accordion } from 'devextreme-react/accordion';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.accordionRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Accordion ref={this.accordionRef} />
  • );
  • }
  •  
  • get accordion() {
  • return this.accordionRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.accordion.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.accordion.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Accordion component supports screen readers and complies to WAI-ARIA standards.